## `string::crend`

Return a const reverse iterator to the character following the last character of the reversed container.

### Synopsis

    string::const_reverse_iterator
    crend() const noexcept;

### Description

The pointed-to character corresponds to the character preceding the first character of the non-reversed container. The returned iterator only acts as a sentinel. Dereferencing it results in undefined behavior.

### Complexity

Constant.

### Exception Safety

No-throw guarantee.

Edit this page